create or alter procedure APPEND_STO_OBR (
    V_KOD_SP char(3),
    V_DN date,
    V_KD numeric(8,2),
    V_KV numeric(8,2),
    V_GD numeric(8,2),
    V_GV numeric(8,2),
    V_RD numeric(8,2),
    V_RV numeric(8,2),
    V_SD numeric(8,2),
    V_SV numeric(8,2),
    V_HD numeric(8,2),
    V_HV numeric(8,2),
    V_DD numeric(8,2),
    V_DV numeric(8,2))
as
BEGIN
    if (exists (select sto_obr.kod_sp  from sto_obr
    where sto_obr.kod_sp = :v_kod_sp  and sto_obr.d_n = :v_dn )) then
    UPDATE sto_obr
           SET
    sto_obr.kod_sp = :v_kod_sp ,
    sto_obr.d_n = :V_dn,
    sto_obr.kd = :v_kd,
    sto_obr.kv = :v_kv,
    sto_obr.gd = :v_gd,
    sto_obr.gv = :v_gv,
    sto_obr.rd = :v_rd,
    sto_obr.rv = :v_rv,
    sto_obr.sd = :v_sd,
    sto_obr.sv = :v_sv,
    sto_obr.hd = :v_hd,
    sto_obr.hv = :v_hv,
    sto_obr.dd = :v_dd,
    sto_obr.dv = :v_dv
     WHERE sto_obr.kod_sp = :v_kod_sp and sto_obr.d_n = :v_dn;
    else
    INSERT INTO sto_obr(kod_sp,
    d_n,
    kd,
    kv,
    gd,
    gv,
    rd,
    rv,
    sd,
    sv,
    hd,
    hv,
    dd,
    dv
)
    values(:v_kod_sp,
    :v_dn,
    :v_kd,
    :v_kv,
    :v_gd,
    :v_gv,
    :v_rd,
    :v_rv,
    :v_sd,
    :v_sv,
    :v_hd,
    :v_hv,
    :v_dd,
    :v_dv);
END
